Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.params
Interface NIOReactorPNames

All Known Implementing Classes:
  NIOReactorParams

Deprecated. (4.2) use `IOReactorConfig`

    @Deprecated
    public interface NIOReactorPNames

Parameter names for I/O reactors.

Since:
  4.0

Field Summary
`static String` | `CONTENT_BUFFER_SIZE` Deprecated. Determines the size of the content input/output buffers used to buffer data while receiving or transmitting HTTP messages.
`static String` | `GRACE_PERIOD` Deprecated. Determines the grace period the I/O reactors are expected to block waiting for individual worker threads to terminate cleanly.
`static String` | `INTEREST_OPS_QUEUEING` Deprecated. Determines whether interestOps() queueing is enabled for the I/O reactors.
`static String` | `SELECT_INTERVAL` Deprecated. Determines the time interval in milliseconds at which the I/O reactor wakes up to check for timed out sessions and session requests.

Field Detail

### CONTENT_BUFFER_SIZE

    static final String CONTENT_BUFFER_SIZE

  Deprecated.
  Determines the size of the content input/output buffers used to buffer data while receiving or transmitting HTTP messages.

  This parameter expects a value of type `Integer`.

  See Also:
    Constant Field Values

### SELECT_INTERVAL

    static final String SELECT_INTERVAL

  Deprecated.
  Determines the time interval in milliseconds at which the I/O reactor wakes up to check for timed out sessions and session requests.

  This parameter expects a value of type `Long`.

  See Also:
    Constant Field Values

### GRACE_PERIOD

    static final String GRACE_PERIOD

  Deprecated.
  Determines the grace period the I/O reactors are expected to block waiting for individual worker threads to terminate cleanly.

  This parameter expects a value of type `Long`.

  See Also:
    Constant Field Values

### INTEREST_OPS_QUEUEING

    static final String INTEREST_OPS_QUEUEING

  Deprecated.
  Determines whether interestOps() queueing is enabled for the I/O reactors.

  This parameter expects a value of type `Boolean`.

  Since:
    4.1
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.